Skip to main content
GET
/
identity-providers
/
{idp_id}
/
provisioning
/
scim-tokens
C#
using Auth0Auth0;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new Auth0Auth0Client(
            token: "<token>"
        );

        await client.Organization.IdentityProviders.Provisioning.ScimTokens.ListAsync(
            "idp_id"
        );
    }

}
{
  "scim_tokens": [
    {
      "token_id": "tok_abc8H9hWQ8LaCkdh",
      "created_at": "2025-05-11T20:11:45.431Z",
      "valid_until": "2025-05-11T20:26:45.431Z"
    },
    {
      "token_id": "tok_tuz8H9hWQ8LaCkdh",
      "created_at": "2025-04-11T20:11:45.431Z",
      "valid_until": "2025-04-12T20:11:45.431Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

idp_id
string
required

Identity provider identifier.

Pattern: ^con_[A-Za-z0-9]{16}$

Response

List Provisioning SCIM tokens for an identity provider.

scim_tokens
object[]